<?php

function validateEmail($Email) {

    $errorArray = array();

    if( ! is_email($Email)) {

        $errorArray["signup_email"] = __("El email facilitado no parece ser válido", 'buddypress');

    } else if( email_exists($Email) ) {

        $errorArray["signup_email"] = __("Ya existe un usuario con este email", 'buddypress');
    }

    return $errorArray;
}

function validateUsername($Username) {

    $errorArray = array();

    if(strlen($Username) < 4) {

        $errorArray["signup_username"] = __("El nombre de usuario debe tener, al menos, 4 caracteres", 'buddypress');

    } else if (!validate_username($Username)) {

        $errorArray["signup_username"] = __("El nombre de usuario no parece correcto", 'buddypress');

    } else if ( is_numeric(username_exists($Username)) ) {

        $errorArray["signup_username"] = __("Nombre no disponible", 'buddypress');
        
    } else if (strstr($Username,' ')) {
        
        $errorArray["signup_username"] = __("El Nombre de usuario no puede tener espacios en blanco", 'buddypress');
    }

    return $errorArray;
}

if ( (isset($_SERVER['HTTP_X_REQUESTED_WITH']) && $_SERVER['HTTP_X_REQUESTED_WITH']=="XMLHttpRequest") ) {

    if (isset($_GET["fetch"]) and $_GET["fetch"] == "msgs") {

        $errorArray = array();
        $errorArray["signup_username"] = __("El nombre de usuario debe tener, al menos, 4 caracteres", 'buddypress');

        $errorArray["signup_password"][] = __("Las contraseñas facilitadas no coinciden", 'buddypress');
        $errorArray["signup_password"][] = __("La contraseña debe tener, al menos, 4 caracteres", 'buddypress');

        $errorArray["privacity_level"] = __("No ha seleccionado un grado de privacidad", 'buddypress');
        $errorArray["Poblacion"] = __("Por favor indique su población", 'buddypress');

        echo json_encode($errorArray);
        return;
    }

    if (isset($_GET["validate"])) {

        if (isset($_POST["signup_email"])) {

            $resp = validateEmail($_POST["signup_email"]);
            $resp = isset($resp["signup_email"]) ? $resp["signup_email"] : "";

            echo json_encode(array("msg" => $resp));
            return;
        }

        if (isset($_POST["signup_username"])) {

            $resp = validateUsername($_POST["signup_username"]);
            $resp = isset($resp["signup_username"]) ? $resp["signup_username"] : "";

            echo json_encode(array("msg" => $resp));
            return;
        }
    }
}

get_header("modals");
global $bp;

// REGISTER SCRIPT
wp_deregister_script( 'registrationScpt' );
wp_register_script( 'registrationScpt', get_stylesheet_directory_uri() .'/_inc/registration/registration.js', '' );
wp_print_scripts( 'registrationScpt' );

// Retrieve value of st
// to obtain user's category/estadoanimo
$st = (int)strip_tags($_GET['st']);

// Post confirmed
$errorArray = array();

if (count($_POST) > 0) {

    //iron_signup_mail_message(996);
    
    // Retrieve variables
    $st                       =(int)strip_tags($_POST['st']);
    $cat                      = get_category($st);
    $NombreCompleto           = strip_tags($_POST['signup_displayname']);
    $Apellidos                = strip_tags($_POST['signup_apellidos']);
    $Username                 = strip_tags($_POST['signup_username']);
    $Password                 = strip_tags($_POST['signup_password']);
    $Email                    = strip_tags($_POST['signup_email']);
    $Poblacion                = strip_tags($_POST['Poblacion']);
    $Pais                     = strip_tags($_POST['pais']);
    $Patologia                = strip_tags($_POST['Patologia']);
    $Privacidad               = strip_tags($_POST['privacity_level']);
    $Estado                   = $cat->slug;
    $Categoria                = $cat->slug;
    $signup_profile_field_ids = $_POST['signup_profile_field_ids'];

    $userAvatar     = $_POST["userAvatar"];
    $userAvatarMime = $_POST["userAvatarMime"];
    $userAvatarSize = $_POST["userAvatarSize"];

    // Chek if user exist's
    $user_id = username_exists( $Username );

    //username
    if(!is_null($user_id)) {
        $errorArray["signup_username"] = __('Ya existe un usuario con ese nombre.', 'buddypress');
    }

    //user password
    if(!isset($_POST["signup_password"]) or !isset($_POST["signup_password_confirm"]) or ($_POST["signup_password"] == "")
       or ($_POST["signup_password"] != $_POST["signup_password_confirm"])
    ) {

        $errorArray["signup_password"] = __("Las contraseñas facilitadas no coinciden", 'buddypress');

    } else if (strlen($_POST["signup_password"]) < 4) {

        $errorArray["signup_password"] = __("La contraseña debe tener, al menos, 4 caracteres", 'buddypress');
    }

    //Username
    $errorArray = array_merge($errorArray, validateUsername($Username));

    //email
    $errorArray = array_merge($errorArray, validateEmail($Email));

    //privacidad
    if($Privacidad == "") {
        $errorArray["privacity_level"] = __("No ha seleccionado un grado de privacidad", 'buddypress');
    }

    /*if($_POST["Poblacion"] == "") {
        $errorArray["Poblacion"] = __("Por favor indique su población", 'buddypress');
    }*/

    $isValid = count($errorArray) == 0 ? true : false;
    
    if ( $_POST['confirm']=="true" && $isValid) {

        // Create user
        $user_id = bp_core_signup_user($Username, $Password, $Email, '' );
        update_user_meta( $user_id, 'activation_key', wp_hash( $user_id ) );

        if(! $user_id instanceof WP_Error) {
            // Add User meta
            update_user_meta( $user_id, 'first_name', $NombreCompleto);
            //update_user_meta( $user_id, 'bp_profile_privacy', 's:57:"s:49:"a:5:{i:0;s:0:"";i:2;i:0;i:3;i:0;i:4;i:0;i:5;i:0;}";";');
            // Ultimpo bp-profile-privacy data
            update_user_meta( $user_id, 'bp_profile_privacy', 'a:4:{i:0;s:57:"s:49:"a:5:{i:0;s:0:"";i:2;i:0;i:3;i:0;i:4;i:0;i:5;i:0;}";";i:4;i:2;i:3;i:0;i:25;i:0;}');

            // Profile data
            if ( function_exists( 'xprofile_set_field_data' ) ) {

                if ( !empty( $signup_profile_field_ids ) ) {
                    
                    $profile_field_ids = explode( ',', $signup_profile_field_ids );
                    
                    foreach( (array)$profile_field_ids as $field_id ) {

                        if ($field_id == 1) {
                            $current_field_data = $NombreCompleto;
                        } elseif ($field_id == 2) {
                            $current_field_data = $Apellidos;
                        } elseif ($field_id == 3) {
                            $current_field_data = $Poblacion;
                        } elseif ($field_id == 4) {
                            $current_field_data = $Patologia;
                        } elseif ($field_id == 5) {
                            $current_field_data = $Estado;
                        } elseif ($field_id == 10) {
                            $current_field_data = $Categoria;
                        } elseif ($field_id == 15) {
                            $current_field_data = $Privacidad;
                        } elseif ($field_id == 25) {
                            $current_field_data = $Pais;
                        }

                        if ( !empty( $current_field_data ) ) {
                            xprofile_set_field_data( $field_id, $user_id, $current_field_data );
                        }
                    }
                }
            }

            //move Avatar files
            $sourcePath = str_replace("\\","/", getcwd())."/wp-content/uploads/avatars/signups/";
            $targetPath = str_replace("\\","/", getcwd())."/wp-content/uploads/avatars/".$user_id."/";

            if (!file_exists($targetPath)) {
                mkdir($targetPath, 0777, true);
            }

            //chmod($targetPath, 0777);
            if( file_exists($sourcePath.$userAvatar) and  $userAvatar != "") {
                rename($sourcePath.$userAvatar, $targetPath.$userAvatar);
                $userAvatar = str_replace("bpfull", "bpthumb", $userAvatar);

                rename($sourcePath.$userAvatar, $targetPath.$userAvatar);
            }

            iron_signup_mail_message($user_id);

        } else {
            $isValid = false;
            $errorArray["otros"] = $user_id->errors["registerfail"][0];
        }
    }
}

$last = false;

if ( isset( $_POST['confirm']) && $_POST['confirm']=="true" && $isValid) {
    $last= true;
}
?>

<!--[if IE 8]>
<style>
#step-status li label p{
    padding: 6px 0 0px 0;
}
</style>
<![endif]-->

<script type="text/javascript">
<!--

function setCookie(c_name,value,exdays) {
    var exdate = new Date();
    exdate.setDate(exdate.getDate() + exdays);
    var c_value=escape(value) + ((exdays==null) ? "" : "; expires="+exdate.toUTCString());
    document.cookie=c_name + "=" + c_value;
}

function getCookie(c_name) {
    var i,x,y,ARRcookies=document.cookie.split(";");

    for (i=0;i<ARRcookies.length;i++) {
        x = ARRcookies[i].substr(0,ARRcookies[i].indexOf("="));
        y = ARRcookies[i].substr(ARRcookies[i].indexOf("=")+1);
        x = x.replace(/^\s+|\s+$/g,"");
        if (x==c_name) {
            return unescape(y);
        }
    }
}

jQuery(document).ready(function() {

    var $ = jQuery;
<?php 
if ($last == true ) {
?>    
    if (getCookie('camp') && getCookie('camp') == '1') {
        var campname = getCookie('campname');
        var med = getCookie('med');
        var gaqArr = ['_trackEvent', campname  , med, 'registration_start', 'registration_end'];
        
        _gaq.push(gaqArr);
    } else {
        var gaqArr = ['_trackEvent', 'no_campaign' , 'registration_start' , 'registration_end'];
        _gaq.push(gaqArr);
    }
    
<?php
} else {
?>
    if (getCookie('camp') && getCookie('camp') == '1') {
        var campname = getCookie('campname');
        var med = getCookie('med');
        var gaqArr = ['_trackEvent', campname  , med, 'registration_start'];
        _gaq.push(gaqArr);
    } else {
        var gaqArr = ['_trackEvent', 'no_campaign'  , 'registration_start'];
        _gaq.push(gaqArr);
    }
<?php
}
?>
});

//-->
</script>

    <div id="registration-box" data-url="<?php echo get_option('home'); ?>/register/?st=<?php echo $st; ?>">
        
        <nav >
            <ul id="steps">
                <li rel="step-1" class="steps-li <?php echo $last? '':'selected';?>">
                    <?php echo __('Bienvenida', 'buddypress'); ?>
                </li>
                <li class="steps-li" rel="step-2">
                    <?php echo __('¿Cómo te encuentras?', 'buddypress'); ?>
                </li>
                <li class="steps-li" rel="step-3">
                    <?php echo __('Elige una localización', 'buddypress'); ?>
                </li>
                <li class="steps-li" rel="step-4">
                    <?php echo __('Privacidad', 'buddypress'); ?>
                </li>
                <li rel="step-5" class="steps-li <?php echo $last? 'selected':'';?>">
                    <?php echo __('¡Muchas gracias!', 'buddypress'); ?>
                </li>
            </ul>
        </nav>
     
        <form id="signupform" name="signupform" action="<?php echo site_url() . '/register'; ?>" method="post">
        
            <div id="step-1" class="step <?php echo $last? '':'selected';?>">
                <p class="step-entry">
                <?php echo __('Te damos la bienvenida a Kronikoen Sarea. Para unirte a la comunidad te proponemos este sencillo recorrido de 5 pasos. ¡Gracias!', 'buddypress'); ?>
                </p>
                
                <div class="picture">
                    <div id="dinamic_content_1" class="loadimg">
                    <!-- UPLOAD FORM -->
                        <iframe id="upload_target" name="upload_target"
                        style="border: 0px solid rgb(255, 255, 255); width: 150px; overflow: hidden; height: 210px;background-color:transparent;"
                        src="<?php echo get_stylesheet_directory_uri().'/_inc/din-upload/din-upload.php'; ?>" frameBorder="0" scrolling="no"></iframe>
                    </div>
                </div>
                <?php 
                    $lang_cookie_lang = $_COOKIE['LANG']; 
                ?>
                
                <input type="hidden" value="1,2,4,3,10,15,25,5" id="signup_profile_field_ids" name="signup_profile_field_ids">
                <input type="hidden" id="userAvatar" name="userAvatar" value="<?php echo isset($_POST["userAvatar"]) ? $_POST["userAvatar"] : ""; ?>" />
                <input type="hidden" id="userAvatarMime" name="userAvatarMime" value="<?php echo isset($_POST["userAvatarMime"]) ? $_POST["userAvatarMime"] : ""; ?>" />
                <input type="hidden" id="userAvatarSize" name="userAvatarSize" value="<?php echo isset($_POST["userAvatarSize"]) ? $_POST["userAvatarSize"] : ""; ?>" />
            
                <div class="fields">
                
                    <div>
                        <label for="signup_email"><?php echo __('Dirección de email', 'buddypress'); ?> <span>*</span></label>
                        <input type="text" name="signup_email" id="signup_email" value="<?php bp_signup_email_value() ?>" placeholder="mail@mail.es" />
                        <p class="legend">
                            <?php echo __('Te enviaremos un email para confirmar tu registro.', 'buddypress'); ?>
                        </p>
                        <?php
                        if(isset($errorArray["signup_email"])) {
                            echo '<p class="error">' . $errorArray["signup_email"] . '</p>';
                        }
                        ?>
                    </div>
                    
                    <div>
                        <label for="signup_username"><?php echo __('Nombre de usuario', 'buddypress'); ?> <span>*</span></label>
                        <input type="text" name="signup_username" id="signup_username" value="<?php bp_signup_username_value() ?>" placeholder="<?php echo __('Usuario', 'buddypress'); ?>" />
                        <p class="legend"><?php echo __('Nombre por el que te conocerán dentro de la red.', 'buddypress'); ?></p>
                        <?php
                        if(isset($errorArray["signup_username"])) {
                            echo '<p class="error">' . $errorArray["signup_username"] . '</p>';
                        }
                        ?> 
                    </div>
                    
                    <div>
                        <label for="signup_password"><?php echo __('Elige una contraseña', 'buddypress'); ?> <span>*</span></label>
                        <input type="password" name="signup_password" id="signup_password" value="" placeholder="<?php echo __('Contraseña', 'buddypress'); ?>" />
                        <?php 
                        if(isset($errorArray["signup_username"])) {
                            echo '<p class="error">' . $errorArray["signup_password"] . '</p>';
                        }
                        ?>
                    </div>
                    
                    <div>
                        <label for="signup_password_confirm"><?php echo __('Confirma la contraseña', 'buddypress'); ?> <span>*</span></label>
                        <input type="password" name="signup_password_confirm" id="signup_password_confirm" value="" placeholder="<?php echo __('Contraseña', 'buddypress'); ?>" />
                    </div>
                </div>
                
                <div class="privacy">
                    <?php 
                    
                    switch ( $_COOKIE['LANG'] ) {
                        case 'en':
                            $urlCondiciones = get_option('home') . '/condiciones-de-uso_en/';
                            $urlTerminos    = get_option('home') . '/politica-de-privacidad_en/';
                        break;
                        case 'eu':
                            $urlCondiciones = get_option('home') . '/condiciones-de-uso_eu/';
                            $urlTerminos    = get_option('home') . '/politica-de-privacidad_eu/';
                            break;
                        default:
                            $urlCondiciones = get_option('home') . '/condiciones-de-uso_es/';
                            $urlTerminos    = get_option('home') . '/politica-de-privacidad_es/';
                        break;
                    }
                    ?>
                    <label for="privacy_policy">
                        <input type="checkbox" name="privacy_policy" id="privacy_policy" value="" />
                        <?php echo __('Acepto la', 'buddypress'); ?> <a href="<?php echo $urlTerminos; ?>" class="out"><?php echo __('política de privacidad', 'buddypress'); ?></a> <?php echo __('y los', 'buddypress'); ?> <a class="out" href="<?php echo $urlCondiciones; ?>"><?php echo __('términos de uso', 'buddypress'); ?></a>.
                    </label>
                </div>
                <div class="required">
                    <p><?php echo __('Los campos marcados con un asterisco (<span>*</span>) son obligatorios', 'buddypress'); ?>.</p>
                </div>
            </div>
            
            <div id="step-2" class="step">
                
                <p class="step-entry">
                    <?php echo __('Elige el estado de ánimo con el que te sientas más identificado hoy. Podrás cambiarlo siempre que quieras. <strong>Con ánimo de...</strong>', 'buddypress'); ?>
                </p>
                
                <ul id="step-status">
                    <li>
                        <label <?php echo $st == '4'? 'class="checked"':''; ?> for="st-4">
                            <input type="radio" name="st" value="4" <?php echo $st == '4'? 'checked="checked"':''; ?> id="st-4" /> 
                            <span class="title aprender"><?php echo __('aprender', 'buddypress'); ?></span>
                            <p><?php echo __('Hoy quiero saber más. Busco respuestas. Me fijo en los síntomas, en cómo me siento', 'buddypress'); ?>.</p>
                            
                        </label>
                    </li>
                    <li>
                        <label <?php echo $st == '6'? 'class="checked"':''; ?> for="st-6">
                            <input type="radio" name="st" value="6" <?php echo $st == '6'? 'checked="checked"':''; ?> id="st-6" /> 
                            <span class="title construir"><?php echo __('construir', 'buddypress'); ?></span>
                            <p><?php echo __('Hoy busco el equilibrio para adaptar la enfermedad a mi vida, conocerla y controlarla mejor. Me preocupo por el autocuidado. ¡Sigo adelante!', 'buddypress'); ?></p>
                        </label>
                    </li>
                    <li>
                        <label <?php echo $st == '5'? 'class="checked"':''; ?> for="st-5"> 
                            <input type="radio" name="st" value="5" <?php echo $st == '5'? 'checked="checked"':''; ?> id="st-5" />
                            <span class="title adaptar"><?php echo __('adaptar', 'buddypress'); ?></span>
                            <p><?php echo __('Hoy necesito apoyo. Siento que debo adaptar mi vida a la enfermedad. Busco apoyo y poder compartir experiencias', 'buddypress'); ?>.</p>
                        </label>
                    </li>
                    <li>
                        <label <?php echo $st == '3'? 'class="checked"':''; ?> for="st-3"> 
                            <input type="radio" name="st" value="3" <?php echo $st == '3'? 'checked="checked"':''; ?> id="st-3" />
                            <span class="title acompanar"><?php echo __('acompañar', 'buddypress'); ?></span>
                            <p><?php echo __('Hoy quiero compartir las dificultades que nos afectan a cuidadores y acompañantes, resolver dudas y decirle a cada paciente... ¡estoy contigo!', 'buddypress'); ?></p>
                        </label>
                    </li>
                </ul>            
                
                <div class="stepCont">
                    <p class="left"><?php echo __('Elige una patología', 'buddypress'); ?></p>
                    <div class="right">
                        
                        <select name="Patologia" id="select-patologia">
                            <?php
                            global $wpdb;

                            $table_name = 'iron_patologias';
                            $familia    = 'familia_' . $_COOKIE['LANG'];
                            $patologia  = 'patologia_' . $_COOKIE['LANG'];
                            $query      = "SELECT DISTINCT " . $familia . " FROM " . $table_name . " ORDER BY " . $familia;
                            $results    = $wpdb->get_results( $query );
                            
                            foreach ($results as $fam) {
                                
                                echo '<optgroup label="'. $fam->$familia .'">';
                                $queryPatologias = "SELECT " . $patologia . " FROM " . $table_name . " WHERE " . $familia . " ='". $fam->$familia ."' ORDER BY " . $patologia; 
                                $results = $wpdb->get_results( $queryPatologias );
                                
                                foreach ($results as $pat) {
                                    if (xprofile_get_field_data( 'Patologia', get_current_user_id()) == $pat->$patologia ) { $sel="selected"; $s=1; }
                                    else $sel="";
                                    echo '<option value="'. $pat->$patologia .'" '. $sel .'>'. utf8_decode($pat->$patologia) .'</option>';
                                }
                                echo '</optgroup>';
                            }
                            ?>
                            <optgroup label="<?php _e('Otra patolog&iacute;a','buddypress')?>">
                                <option <?php if (xprofile_get_field_data( 'Patologia', get_current_user_id()) == 'Otra patología') echo 'selected'; ?> value="Otra patolog&iacute;a"><?php _e('Otra patolog&iacute;a','buddypress'); ?></option>
                            </optgroup>
                            
                            <optgroup label="<?php _e('Sin Especificar','buddypress');?>">
                                <option <?php echo 'selected'; ?> value="Sin Especificar"><?php _e('Sin Especificar','buddypress'); ?></option>
                            </optgroup>
                        </select>
                        
                        <p class="legend pato">
                            <?php echo __('Este campo no es obligatorio.  Si quieres, puedes seguir adelante pinchando en "Continuar"', 'buddypress'); ?>.
                        </p>
                    </div>
                </div>
            </div>
            
            <div id="step-3" class="step">
                
                <?php
                // GEOLOCATION
                if (isset($_SERVER["HTTP_X_FORWARDED_FOR"])) {
                    if($pos=strpos($_SERVER["HTTP_X_FORWARDED_FOR"]," ")) {
                        $ip = substr($_SERVER["HTTP_X_FORWARDED_FOR"],$pos+1);
                    } else {
                        $ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
                    }
                } else {
                    $ip = $_SERVER["REMOTE_ADDR"];
                }
                
                // Obtain Data from GeoIP database
                //$GeoLocation = geoip_record_by_name('82.223.160.201'); // Esto es de prueba, una ip de Logroño
                
                $GeoLocation = geoip_record_by_name($ip);
                $GeoCity     = utf8_encode($GeoLocation['city']);
                ?>
                <p class="step-entry small">
                    <?php echo __('¿De dónde nos visitas?', 'buddypress'); ?>
                </p>
                
                <?php
                /*
                <label for="poblacion"><?php echo __('Poblaci&oacute;n', 'buddypress'); ?></label>
                <input type="text" name="Poblacion" id="Poblacion" value="<?php echo $Poblacion != "" ? $Poblacion : $GeoLocation; ?>" />
                */
                ?>
                
                <select name="pais" id="Pais">
                    <?php
                    global $wpdb;
                    
                    $results       = $wpdb->get_results("SELECT * FROM iron_paises");
                    $targetCountry = isset($Pais) ? $Pais : "ES";
                    
                    foreach ($results as $pais) {
                        if ($targetCountry == $pais->valor ) {
                            $sel="selected='selected'"; $s=1;
                        } else {
                            $sel = "";
                        }
                        echo '<option value="'. $pais->valor .'" '.$sel.'>'. $pais->pais .'</option>';
                    }
                    
                    ?>
                </select>
                
                <input type="text" name="Poblacion" id="Poblacion" value="<?php echo $GeoCity; ?>" placeholder="<?php echo __('Población', 'buddypress'); ?>"/>
                
                <span style="color:red;"><?php if(isset($errorArray["Poblacion"])) { echo $errorArray["Poblacion"]; } ?></span>
                <script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false"></script>
                <script type="text/javascript">
                    var marker = null;
                    (function(jQuery) {
                        
                        var $ = jQuery;
                        var map = null;
                        var geocoder = null;
                        var markers = new Array();
                        
                        $("#Poblacion").focus(function () {
                            
                            if (map != null) {
                                return;
                            }
                            
                            google.maps.Map.prototype.clearMarkers = function() {
                                for(var i=0; i < this.markers.length; i++){
                                    this.markers[i].setMap(null);
                                }
                                this.markers = new Array();
                            };
                            
                            var myLatlng  = new google.maps.LatLng(37, -122);
                            var myOptions = {
                              zoom: 7,
                              center: myLatlng,
                              mapTypeId: google.maps.MapTypeId.ROADMAP
                            };
                            
                            geocoder = new google.maps.Geocoder();
                            map      = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
                            
                            find($("#Poblacion").attr("value") + " , " + $("#Pais").attr("value"));
                        });
                        
                        function find (address) {
                            
                             geocoder.geocode( { 'address': address}, function(results, status) {
                                  if (status == google.maps.GeocoderStatus.OK) {
                                      if (markers.length > 0) {
                                          for (i in markers) {
                                              markers[i].setMap(null);
                                          }
                                          markers.push(marker);
                                      }
                                    map.setCenter(results[0].geometry.location);
                                    marker = new google.maps.Marker({
                                        map: map,
                                        position: results[0].geometry.location
                                    });
                                    markers.push(marker);
                                  }
                              });
                        }
                        
                        $("#Poblacion").change(function () {
                            find($(this).attr("value") + " , " + $("#Pais").attr("value"));
                        });
                        
                        $("#Poblacion").keypress(function(e) {
                            if(e.keyCode == 13) {
                                $(this).trigger('change');
                            }
                        });
                        
                    })(jQuery);
                </script>
                
                <br class="clear" />
                
                <div class="tunnel-map" id="map_canvas"></div>
                
                <p class="legend">
                    <?php echo __('Este campo no es obligatorio.  Si quieres, puedes seguir adelante pinchando en "Continuar"', 'buddypress'); ?>.
                </p>
                
            </div>
            <div id="step-4" class="step">
            
                <?php
                if(!isset($Privacidad)) {
                    $Privacidad = 'Con toda la comunidad';
                }
                ?>
                <p class="step-entry large">
                    <?php echo __('Establece tu grado de privacidad y selecciona la información que los demás pueden ver de ti: con toda la comunidad, con mis amigos o en privado', 'buddypress'); ?>.
                </p>
                
                <ul id="step-privacy">
                    
                    <li>
                        <label <?php if(isset($Privacidad) and $Privacidad == 'Con toda la comunidad') echo 'class="checked"'; ?>>
                            <input type="radio" name="privacity_level" value="Con toda la comunidad" <?php if(isset($Privacidad) and $Privacidad == 'Con toda la comunidad') echo 'checked="checked"'; ?> />
                            <span class="title">
                                <?php echo __('Con toda la comunidad', 'buddypress'); ?>
                            </span>
                            <p><?php echo __('Todos los usuarios de la comunidad pueden ver tus interacciones dentro de tu perfil: grupos a los que perteneces, eventos a los que te has inscrito, etc', 'buddypress'); ?>.</p>
                        </label>
                    </li>
                    <li>
                        <label <?php if(isset($Privacidad) and $Privacidad == 'Con mis amigos') echo 'class="checked"'; ?>>
                            <input type="radio" name="privacity_level" value="Con mis amigos" <?php if(isset($Privacidad) and $Privacidad == 'Con mis amigos') echo 'checked="checked"'; ?> />
                            <span class="title">
                                <?php echo __('Con mis amigos', 'buddypress'); ?>
                            </span>
                            <p><?php echo __('Solo tus amigos pueden ver tus interacciones dentro de tu perfil: grupos a los que perteneces, eventos a los que te has inscrito, etc', 'buddypress'); ?>.</p>
                        </label>
                    </li>
                    <li>
                        <label <?php if(isset($Privacidad) and $Privacidad == 'En privado') echo 'class="checked"'; ?>>
                            <input type="radio" name="privacity_level" value="En privado" <?php if(isset($Privacidad) and $Privacidad == 'En privado') echo 'checked="checked"'; ?> /> 
                            <span class="title">
                                <?php echo __('En privado', 'buddypress'); ?>
                            </span>
                            <p><?php echo __('Nadie puede ver tus interacciones dentro de tu perfil: grupos a los que perteneces, eventos a los que te has inscrito, etc', 'buddypress'); ?>.</p>
                        </label>
                    </li>
                </ul>   
                
                <p class="legend">
                    <?php echo __('Te recomendamos que al principio elijas compartir "Con toda la comunidad"  para darte a conocer y hacer amigos dentro de la red. No te preocupes, en cualquier momento podrás cambiar tus opciones de privacidad', 'buddypress'); ?>.
                </p>
                
              <?php
              /*
                <script type="text/javascript">
                    (function(jQuery) {
                        var $ = jQuery;
                        var containers = null;
                        $(document).ready(function () {
                            containers = $("#signup_privacity_select li a");
                            containers.click(function () {
                                containers.removeClass("selected");
                                $(this).addClass("selected");
                                $(this).blur();
                                $("#selected_privacity_level").attr("value", $(this).attr("rel"));
                                return false;
                            });
                        });
                    })(jQuery);
                </script>
    
                <input type="hidden" id="selected_privacity_level" name="privacity_level" value="<?php echo isset($Privacidad) ? $Privacidad : "1"; ?>" />
    
                <ul id="signup_privacity_select" class="tunnel-privacy">
                    <li id="sp_1">
                        <a href="#" rel="En privado" <?php if(isset($Privacidad) and $Privacidad == 2) {?> class="selected" <?php } ?>>
                            <?php echo __('En privado', 'buddypress'); ?>
                        </a>
                    </li>
                    <li id="sp_2">
                        <a href="#" rel="Con mis amigos" <?php if( (isset($Privacidad) and $Privacidad == 1) or !isset($Privacidad)) {?> class="selected" <?php } ?>>
                            <?php echo __('Con mis amigos', 'buddypress'); ?>
                        </a>
                    </li>
                    <li id="sp_3">
                        <a href="#" rel="Con toda la comunidad" <?php if(isset($Privacidad) and $Privacidad == 0) {?> class="selected" <?php } ?>>
                            <?php echo __('Con toda la comunidad', 'buddypress'); ?>
                        </a>
                    </li>
                </ul>
               */
               ?>
               
               <input type="hidden" name="confirm" value="true">
                    
            </div>
            <div id="step-5" class="step <?php echo $last? 'selected':'';?>">
                <?php
                if(count($errorArray) == 0) {
                    if ( $_POST['confirm']=="true" && $isValid) {
                    ?>
                        <!-- LAST STEP -->
                        <!-- Google Code for Registro completo Conversion Page -->
                        <script type="text/javascript">
                        /* <![CDATA[ */
                            var google_conversion_id = 995460852;
                            var google_conversion_language = "en";
                            var google_conversion_format = "3";
                            var google_conversion_color = "ffffff";
                            var google_conversion_label = "ckOACKSrngQQ9I3W2gM";
                            var google_conversion_value = 0;
                        /* ]]> */
                        </script>
                            <script type="text/javascript" src="https://www.googleadservices.com/pagead/conversion.js">
                        </script>
                        
                        <noscript>
                            <div style="display:inline;">
                                <img height="1" width="1" style="border-style:none;" alt="" src="https://www.googleadservices.com/pagead/conversion/995460852/?value=0&amp;label=ckOACKSrngQQ9I3W2gM&amp;guid=ON&amp;script=0"/>
                            </div>
                        </noscript>
                         
                            <p><?php echo __('¡Ya casi estás dentro de <strong>Kronikoen Sarea</strong>', 'buddypress'); ?>!</p>
                            <p><?php echo __('Solo te falta validar este registro pulsando el enlace que te enviaremos por correo electrónico y podrás comenzar a compartir tu experiencia en la red (por favor, revisa la bandeja de spam si no ves el correo de confirmación)', 'buddypress'); ?>.</p>
                            <p id="allOK"><strong><?php echo __('Muchas gracias</strong>', 'buddypress'); ?>.</p>
                            
                    <?php 
                    } else {
                    ?>
                        <p id="allNOK"><?php echo __('Ha ocurrido algún error', 'buddypress'); ?>.</p>
                    <?php
                    }
                }
                ?>
                
            </div>
        
        </form>
        
        <div id="step-control">
            <div class="step-info">
                <ul>
                    <li rel="step-1" class="<?php echo $last? '':'selected';?>"><?php echo __('Paso 1 de 5', 'buddypress'); ?></li>
                    <li rel="step-2"><?php echo __('Paso 2 de 5', 'buddypress'); ?></li>
                    <li rel="step-3"><?php echo __('Paso 3 de 5', 'buddypress'); ?></li>
                    <li rel="step-4"><?php echo __('Paso 4 de 5', 'buddypress'); ?></li>
                    <li rel="step-5" class="<?php echo $last? 'selected':'';?>"><?php echo __('Paso 5 de 5', 'buddypress'); ?></li>
                </ul>
            </div>
            <div class="step-buttons">
            <?php
            if ($last) {
            ?>
                <button id="end-step" class=""><?php echo __('Cerrar', 'buddypress'); ?></button>
            <?php
            } else {
            ?>
                <button id="prev-step" class="disabled">« <?php echo __('Anterior', 'buddypress'); ?></button>
                <button id="next-step1" class="" ><?php echo __('Continuar', 'buddypress'); ?> »</button>
                <button id="next-step" class="disabled" ><?php echo __('Continuar', 'buddypress'); ?> »</button>
                <button id="last-step" class="disabled"><?php echo __('Finalizar', 'buddypress'); ?> »</button>
            <?php
            }
            ?>
            </div>
        </div>
</div>

    <!-- Google Analytics -->
    <script type="text/javascript">
        var _gaq = _gaq || [];
        _gaq.push(['_setAccount', 'UA-23573028-1']);
        _gaq.push(['_setDomainName', '.kronikoensarea.net']);
        _gaq.push(['_trackPageview']);
    
    (function() {
        var ga = document.createElement('script');
        ga.type = 'text/javascript';
        ga.async = true;
        ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(ga, s);
    })();
    
    </script>
    <!-- signupform -->
    </body>
</html>
